> For the complete documentation index, see [llms.txt](https://developer.all-images.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.all-images.ai/all-images.ai-api/api-reference/images-generation.md).

# Images generation

### Create Image generation

Image generation is used to obtain a proposal of 4 images based on a description and various parameters.

{% hint style="info" %}
See details of the steps involved in image generation : <https://developer.all-images.ai/integration-guide/image-generation>
{% endhint %}

{% openapi src="<https://api.all-images.ai/doc-json>" path="/v1/image-generations" method="post" %}
<https://api.all-images.ai/doc-json>
{% endopenapi %}

### Update Image Generation

An image generation can only be updated if it is not in "Pending" or "In Progress" status. You can only specify the values to be modified in the request.

{% openapi src="<https://api.all-images.ai/doc-json>" path="/v1/image-generations/{printId}" method="put" %}
<https://api.all-images.ai/doc-json>
{% endopenapi %}

### Retry Image Generation

If a generation is in error, it can be restarted (after modifying the description, for example).

{% openapi src="/files/8g66AbFfYtQDgYVP66du" path="/v1/image-generations/retry/{printId}" method="post" %}
[doc-json.json](https://3000441458-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5eow6Q376HF7RKVY4hLt%2Fuploads%2FgTY9xuwEsG7bC9gkD1Xy%2Fdoc-json.json?alt=media\&token=48275e15-df91-4981-9bea-7f54124ca3b7)
{% endopenapi %}

### Find Image Generations

Retrieves a list of all image generations.

{% openapi src="<https://api.all-images.ai/doc-json>" path="/v1/image-generations" method="get" expanded="true" %}
<https://api.all-images.ai/doc-json>
{% endopenapi %}

### Get Image Generation

Retrieves an image generation from its ID.

{% openapi src="<https://api.all-images.ai/doc-json>" path="/v1/image-generations/{imageGenerationId}" method="get" expanded="true" %}
<https://api.all-images.ai/doc-json>
{% endopenapi %}

### Delete Image Generation(s)

Delete one or more image generations.

{% openapi src="<https://api.all-images.ai/doc-json>" path="/v1/image-generations" method="delete" expanded="true" fullWidth="true" %}
<https://api.all-images.ai/doc-json>
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.all-images.ai/all-images.ai-api/api-reference/images-generation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
